Description

There is possibility in Spent Time Report now to filter spent time by issues's some fields. In my case, I added some custom fields,

and see them in the filter options, for example:

 2013-05-23_1317.png 

It would be cool, if there would be presented also standart issue's fields like Target Version, Assigne, etc. - all filter options that are

presented on Issues tab now:

 2013-05-23_1320.png 

Related issues:

Related to Redmine - Feature #13558: Add version filter in spent time report Closed

Related to Redmine - Feature #30346: Add "Target Version" to the list of "Ava... Closed

History

#1 - 2013-06-07 23:39 - Michael Esemplare

+1/2

There are some issues with this however.

Currently a time_entry has no real reference to some of these. The table holds a reference to:

project_id

user_id

issue_id

hours

comments

activity_id

date/time spent_on, created, updated

While it is possible to get the information from the issue the time entry corresponds to, that information is volatile data that can be modified when you

update the issue. A time_entry is relative to a specific point in time so it needs to capture what ever data it wants persisted.

Unless the OP was talking about querying the issue in the time_entry for its current properties?

I would like to be able to correlate in what version time has been spent on without doing a double query (time_entries between version start date/end

date).

Yay or nay adding version to the time_entries table? :)

Edit:

Just thought about this also, the issue column is nullable, which means there can be time_entries without an issue to query these extra filters off of.

#2 - 2013-06-10 06:01 - Anton Nepomnyaschih

Custom fields are not in the time_entry table too. But they are shown in the filter (see attached screenshot: Technology, Severity, etc - are custom

fields). So...

#3 - 2013-06-26 17:52 - Robert Barnebeck

+1

#4 - 2013-07-10 10:00 - Peter Mathis

+1 for adding Version to the Filter and the Table!
#5 - 2013-07-12 11:02 - Thomas Godard

+1 !

It would be really nice to have version when doing a CSV extraction.

#6 - 2015-07-10 18:18 - Wiesław Bożek

Hi,

I need filter issue (number,name).

This topic have 2 years, this is possible realize this feature?

#7 - 2015-08-09 07:18 - Toshi MARUYAMA

- Category set to Time tracking

#8 - 2015-08-25 09:23 - Sebastian Paluch

+1

#9 - 2015-11-16 11:33 - Stephane Evr

+1

#10 - 2015-12-07 12:32 - Jean Louis

+1

And it should be usefull to have criteria "greater than to" and not only "greater than or equal to", to have list of issues with spent time greater than zero

(and not equal to zero) because there are issues with spent time of 0.2 hour for example, thanks.

#11 - 2016-08-27 06:54 - Go MAEDA

- Related to Feature #13558: Add version filter in spent time report added

#12 - 2016-10-04 16:36 - Valdir Stiebe Junior

I suggest that this issue must be split in two feature requests.

1. Add standard issue fields on spent time report filter that use the current value in a group Current Issue's Values; (Maybe easier and fast to do)

2. Freeze standard issue fields on time entries on time entry creation with a filter group Historic Issue's Values; (Obviously harder and demands a

lot of discussion and definitions)

#13 - 2019-01-15 05:53 - Marius BĂLTEANU

- Related to Feature #30346: Add "Target Version" to the list of "Available columns" in "Spent time" Tab added

#14 - 2019-10-07 12:34 - Enrique Sainz

Hi,

This would be very useful (and I speak about option 1 in note-12) in an organization such as ours. We have external suppliers that work for us and

that bill man-hours only for closed issues. So I would need to generate spent time reports based on the closure date of their issue (to get time spent

on issues that were closed after the last bill, but that might bill time spent before that bill was closed).

However, I believe it can be done more easily if we could retrieve time entries that belong to issues that are shown in a certain issue query. I mean

adding a new option in the operator drop-down menu for the issue filter, such as "in", and that operator would be completed by another drop-down

menu with an entry for each of my available issue queries.

Wouldn't that be easier than adding all issue filters to the spent time report page?

Thanks!

#15 - 2021-04-04 19:01 - Alexandr Chernyaev

+1
